diff -uNr libmpeg3-1.7_spec/libmpeg3.spec.in libmpeg3-1.7/libmpeg3.spec.in
--- libmpeg3-1.7_spec/libmpeg3.spec.in	1970-01-01 01:00:00.000000000 +0100
+++ libmpeg3-1.7/libmpeg3.spec.in	2007-09-11 21:34:13.000000000 +0200
@@ -0,0 +1,160 @@
+Summary: Decoder of various derivatives of MPEG standards
+Name: libmpeg3
+Version: @VERSION@
+Release: 1%{?dist}
+License: GPLv2+
+Group: System Environment/Libraries
+URL: http://heroinewarrior.com/libmpeg3.php3
+Source: http://dl.sf.net/heroines/libmpeg3-%{version}-src.tar.bz2
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+#BuildRequires: nasm
+#BuildRequires: a52dec-devel
+
+#BuildRequires: autoconf, libtool, automake
+
+%description
+LibMPEG3 decodes the many many derivatives of MPEG standards into
+uncompressed data suitable for editing and playback.
+
+libmpeg3 currently decodes:
+ - MPEG-1 Layer II/III Audio and program streams
+ - MPEG-2 Layer III Audio, program streams and transport streams
+ - MPEG-1 and MPEG-2 Video
+ - AC3 Audio
+ - IFO files
+ - VOB files
+
+
+%package utils
+Summary: Utilities from libmpeg3
+Group: Applications/Multimedia
+Requires: %{name} = %{version}-%{release}
+
+%description utils
+LibMPEG3 decodes the many many derivatives of MPEG standards into
+uncompressed data suitable for editing and playback.
+
+This package contains utility programs based on libmpeg3.
+
+
+%package devel
+Summary: Development files for libmpeg3
+Group: Development/Libraries
+Requires: %{name} = %{version}-%{release}
+
+%description devel
+LibMPEG3 decodes the many many derivatives of MPEG standards into
+uncompressed data suitable for editing and playback.
+
+This package contains files needed to build applications that will use
+libmpeg3.
+
+
+%prep
+%setup -q
+
+
+
+
+%build
+%configure --enable-shared --enable-static 
+%ifarch i686 x86_64
+#  --enable-mmx \
+%endif
+
+make %{?_smp_mflags}
+
+
+
+%install
+%{__rm} -rf %{buildroot}
+
+%{__make} install \
+    LIBDIR=%{_libdir} \
+    DESTDIR=%{buildroot} \
+    INSTALL="install -c -p"
+
+%{__rm} -rf %{buildroot}%{_libdir}/*.la
+
+
+%clean
+%{__rm} -rf %{buildroot}
+
+
+%post -p /sbin/ldconfig
+
+%postun -p /sbin/ldconfig
+
+
+%files
+%defattr(-, root, root, -)
+%doc COPYING
+%{_libdir}/*.so.*
+
+%files utils
+%defattr(-, root, root, -)
+%{_bindir}/mpeg3cat
+%{_bindir}/mpeg3dump
+%{_bindir}/mpeg3peek
+%{_bindir}/mpeg3toc
+#{_bindir}/mpeg2qt
+
+%files devel
+%defattr(-, root, root,-)
+%doc docs/*
+%{_libdir}/*.so
+%{_libdir}/*.a
+%{_includedir}/mpeg3/
+%{_libdir}/pkgconfig/*.pc
+
+
+%changelog
+* Sun Sep  9 2007 kwizart < kwizart at gmail.com > - 1.7-4
+- Add autotools support (default is still static )
+- Remove internal css
+- Build with our cflags (-fPIC is no more necessary )
+
+* Fri Sep  7 2007 kwizart < kwizart at gmail.com > - 1.7-3
+- Add dist tag
+- modified patch for Makefile
+- Add BR's
+
+* Wed Sep 20 2006 Matthias Saou <http://freshrpms.net/> 1.7-2
+- Run make twice since there is an EOF error that makes the first run abort.
+
+* Mon Jul  3 2006 Matthias Saou <http://freshrpms.net/> 1.7-1
+- Update to 1.7.
+
+* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 1.6-2
+- Add -fPIC to the CFLAGS to fix transcode build on x86_64.
+
+* Thu Jan 19 2006 Matthias Saou <http://freshrpms.net/> 1.6-1
+- Update to 1.6.
+- Split "main" into "utils" (bin) and "devel" (the static lib).
+- Add Makefile patch to ease install and get our CFLAGS used.
+- Don't enable MMX on x86_64, the x86 asm fails.
+
+* Mon Aug 15 2005 Matthias Saou <http://freshrpms.net/> 1.5.4-5
+- Force __USE_LARGEFILE64 to fix FC4 ppc build.
+
+* Fri Apr 22 2005 Matthias Saou <http://freshrpms.net/> 1.5.4-4
+- Add gcc4 patch.
+
+* Thu Nov  4 2004 Matthias Saou <http://freshrpms.net/> 1.5.4-3
+- Remove unneeded /usr/bin fix, since we don't use "make install".
+- Replace -O? with -O1 in optflags since build fails with O2 and gcc 3.4.
+- Make nasm mandatory : The configure script won't run without it anyway.
+- Use libdir/*.* in order to not catch all debuginfo files too.
+- Added -devel provides for now.
+
+* Sat Jun 26 2004 Dag Wieers <dag@wieers.com> - 1.5.4-2
+- Fixes for x86_64.
+
+* Wed Apr 07 2004 Dag Wieers <dag@wieers.com> - 1.5.4-1
+- Updated to release 1.5.4.
+
+* Mon Sep 08 2003 Dag Wieers <dag@wieers.com> - 1.5.2-0
+- Updated to release 1.5.2.
+
+* Wed Feb 12 2003 Dag Wieers <dag@wieers.com> - 1.4-0
+- Initial package. (using DAR)
